Package weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI

# Class ResultVectorTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI.ResultVectorTableModel

All Implemented Interfaces:
  `Serializable`, `TableModel`, `RevisionHandler`

public class ResultVectorTableModel extends AbstractTableModel implements RevisionHandler

ResultVectorTableModel.java
Authors: Rainer Holzmann, Zhanna Melnikova-Albrecht
Date: Sep 12, 2004
Time: 9:23:31 PM
$ Revision 1.4 $

Version:
  $Revision: 1.4 $
Author:
  Zhanna Melnikova-Albrecht (melnikov@cip.ifi.lmu.de), Rainer Holzmann (holzmann@cip.ifi.lmu.de)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResultVectorTableModel(FastVector resultVector)`
Constructs a default `DefaultTableModel` which is a table of zero columns and zero rows.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
Returns the number of columns of this model.
`String`
`getRevision()`
Returns the revision string.
`int`
`getRowCount()`
Returns the number of rows of this model.
`Object`
`getValueAt(int row, int column)`
Returns the value for the JTable for a given position.

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getColumnName, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultVectorTableModel

public ResultVectorTableModel(FastVector resultVector)
Constructs a default `DefaultTableModel` which is a table of zero columns and zero rows.

## Method Details

### getRowCount

public int getRowCount()
Returns the number of rows of this model. The number of rows is the number of dataObjects stored in the resultVector

Specified by:
  `getRowCount` in interface `TableModel`
Returns:
  the number of rows of this model

### getColumnCount

public int getColumnCount()
Returns the number of columns of this model. The number of columns is 4 (dataObject.key, dataobject, c_dist, r_dist)

Specified by:
  `getColumnCount` in interface `TableModel`
Returns:
  int The number of columns of this model

### getValueAt

public Object getValueAt(int row, int column)
Returns the value for the JTable for a given position.

Specified by:
  `getValueAt` in interface `TableModel`
Parameters:
  `row` - The row of the value
  `column` - The column of the value
Returns:
  value

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision